__gnu_pbds::insert_error(3cxx)

NAME
__gnu_pbds::insert_error

SYNOPSIS

Inherits __gnu_pbds::container_error.

  Public Member Functions

virtual const char * what () const noexcept

Detailed Description

An entry cannot be inserted into a container object for logical reasons (not, e.g., if memory is unabvailable, in which case the allocator_type's exception will be thrown).

Definition at line 66 of file exception.hpp.

Member Function Documentation

  virtual const char* std::logic_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.